* {
  box-sizing: border-box;
}

body {
  background-color: olivedrab;
  font-family:'Courier New', Courier, monospace;
  margin: 0;
}

h2 {
  font-size: 1.75rem;
}

.blog-post-card {
  background: white;
  border-radius: 10px;
  width: 700px;
  text-align: center;
  margin: 0 auto 40px auto;
  box-shadow: 0 2px 8px black;
}

.post-img {
  border-bottom: 2px solid black;
  background-size: cover;
  width: 75%;
}

.post-content {
  padding: 20px;
}

.post-title, .post-excerpt {
  color: darkblue;
  margin: 10px;
}

.read-more {
  color: white;
  background-color: black;
  margin: 15px;
  padding: .75em 1.5em;
  text-decoration: none;
  font-weight: bold;
  cursor: pointer;
  border-radius: 15px;
  display: inline-block;
  transition: background 0.4s ease;
}

.read-more:hover {
  background-color: red;
}